<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">

    <script>
        function updateMessage() {
            if (document.getElementById("globalform:idSchemeDecoration:idSchemeInput").value == "") {
                document.getElementById("globalform:idSchemeDecoration:idSchemeInputAlreadyUsed").textContent = "";
            }
        }

    </script>
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <h:form id="globalform">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:param name="styleClass" value="panel-info"/>
                    <ui:define name="panel_title">#{title}</ui:define>

                    <s:decorate id="idSchemeDecoration"
                                template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.IdScheme']}</ui:define>
                        <ui:param name="id"
                                  value="globalform:idSchemeDecoration:idSchemeInput"/>
                        <div class="input-group">
                            <h:inputText id="idSchemeInput" styleClass="form-control"
                                         value="#{idSchemesManager.selectedOasisTarget.idScheme}"
                                         requiredMessage="Please fill in the idScheme"
                                         required="true">
                                <a4j:ajax event="blur" render="idSchemeDecoration,saveIdScheme"
                                          listener="#{idSchemesManager.validateIdScheme()}"
                                          oncomplete="updateMessage();" execute="@this"/>
                            </h:inputText>
                            <s:span
                                    rendered="#{not invalid and empty idSchemesManager.selectedOasisTarget.idScheme}"
                                    styleClass="input-group-addon">
                            </s:span>
                            <s:span
                                    rendered="#{not invalid and not empty idSchemesManager.selectedOasisTarget.idScheme}"
                                    styleClass="input-group-addon">
                                <i class="fa fa-check"/>
                            </s:span>
                            <s:span id="idSchemeInputAlreadyUsed" rendered="#{invalid}"
                                    styleClass="input-group-addon">
                                <i class="fa fa-exclamation-triangle"/>
                                <h:outputText value=" #{messages['net.ihe.gazelle.assertion-manager.AlreadyUsed']}"/>
                            </s:span>
                        </div>

                    </s:decorate>
                    <s:decorate id="descriptionDecoration" template="/layout/form/_edit.xhtml">
                        <ui:param name="id"
                                  value="globalform:descriptionDecoration:descriptionInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                        <h:inputText id="descriptionInput" styleClass="form-control"
                                     value="#{idSchemesManager.selectedOasisTarget.content}">
                        </h:inputText>
                    </s:decorate>
                    <ui:define name="panel_footer">
                        <h:commandButton id="saveIdScheme"
                                         value="#{messages['gazelle.simulator.Save']}"
                                         disabled="#{!idSchemesManager.validateIdScheme()}"
                                         action="#{idSchemesManager.saveNewTarget()}"
                                         styleClass="gzl-btn-green"/>
                        <h:commandLink value="#{messages['net.ihe.gazelle.assertion-manager.Back']}"
                                       styleClass="gzl-btn"
                                       onclick="window.history.go(-1); return false;"/>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </div>
    </div>
</ui:composition>